For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList data connections
      • POSTCreate connect session
      • POSTSync connections
      • GETGet data connection
      • DELDelete data connection
      • PATCHUpdate connection status
      • GETList connection tools
Dashboard
LogoLogo
Runtype APIData Connections

Update connection status

PATCH
/v1/data-connections/:id
PATCH
/v1/data-connections/:id
$curl -X PATCH https://api.runtype.com/v1/data-connections/id \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "status": "active"
>}'
1{
2 "data": {}
3}
Update a data connection status.
Was this page helpful?
Previous

List connection tools

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Request

This endpoint expects an object.
statusenumRequired
Allowed values:

Response

Updated connection
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error